# Coupons

Coupons

 - [GET /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/listcoupons.md): This method will scan all coupons and and return them to the caller.
 - [POST /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/createcoupon.md): This method will auto-generate an ID and create a new coupon. If an ID is specified for the coupon, an error will be thrown.
 - [POST /coupons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/deletecoupon.md): This method will delete a coupon with the specified ID.
 - [GET /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/getcoupon.md): This method will look up a coupon by the specified ID and return it back.
 - [PATCH /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/patchcoupon.md): This method will patch an existing coupon with the specified ID, using the HTTP PATCH specification.
 - [PUT /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/updatecoupon.md): This method will update an existing coupon with the specified ID.
